MissingRequiredPropertiesException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.env

## Class MissingRequiredPropertiesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.springframework.core.env.MissingRequiredPropertiesException

- All Implemented Interfaces:
    Serializable

      public class MissingRequiredPropertiesException
      extends IllegalStateException

  Exception thrown when required properties are not found.
  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `ConfigurablePropertyResolver.setRequiredProperties(String...)`, `ConfigurablePropertyResolver.validateRequiredProperties()`, `AbstractApplicationContext.prepareRefresh()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingRequiredPropertiesException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `Set<String>` | `getMissingRequiredProperties()` Return the set of properties marked as required but not present upon validation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingRequiredPropertiesException

          public MissingRequiredPropertiesException()

  - ### Method Detail

    - #### getMissingRequiredProperties

          public Set<String> getMissingRequiredProperties()

      Return the set of properties marked as required but not present upon validation.
      See Also:
        `ConfigurablePropertyResolver.setRequiredProperties(String...)`, `ConfigurablePropertyResolver.validateRequiredProperties()`

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`